<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>GeoIP.Network</title>
    <link rel="stylesheet" href="/static/sponsor.css" />
</head>
<body>
    <header>
        <div id="home"><a href="{{ url_for('index') }}" id="title"><h1>GeoIP.Network</h1></a></div>
        <nav>
            <ul>
                <li><a href="{{ url_for('sponsor') }}" id="sponsor" class="navigation">Sponsor</a></li>&nbsp|
                <li><a href="{{ url_for('api') }}" id="api" class="navigation">API</a></li>&nbsp|
                <li><a href="{{ url_for('about') }}" id="about" class="navigation">About</a></li>&nbsp|

                {% if not logout %}
                    <li><a href="{{ url_for('login') }}" id="login" class="navigation">Login</a></li>
                {% else %}
                    <li><a href="{{ url_for('logout') }}" id="logout" class="navigation">Logout</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <page>
        <main>
            <section id="text1" class="left-box">
                <h2>Sponsoring GeoIP.Network</h2>
                <p>GeoIP.Network is a Not-For-Profit project that is supported by donations and developed by the community.</p>
                <p>Any sponsorship goes into a community pool that is used exclusively to cover the costs of research, development and hosting.</p>
                <p>Sponsorship starts at $2 / month and grants unlimited API requests. Higher tiers do not come with additional benefits (other than bragging rights and a logo in the releveant section on this page) but are appreciated.</p>
                <p>If we receive excess funding it will be periodically disbursed to other open-source projects as voted for by the community.</p>

                <form action="/sponsor" target="_self" method="post">
                    <button>Sign-up as a Sponsor</button>
                </form>
            </section>
            <section id="text2" class="right-box">
                <h2>Sponsors:</h2>
                <div>
                    <h3>God Tier</h3>
                    <a href="https://plaintextnerds.com" target="_blank" rel="noopener">  {# nosemgrep: html.security.missing-noreferrer.missing-noreferrer #}
                        <img src="static/sponsors/plaintextnerds.png" alt="PlaintextNerds Ltd."/>
                    </a>
                </div>
                <div>
                    <h3>Awesome people</h3>

                </div>
                <div>
                    <h3>Friends of the project</h3>

                </div>
                <div>
                    <h3>Thanks for the Coffee</h3>

                </div>
            </section>
        </main>
    </page>
    <script>
        function openModal(event) {
            var overlay = document.getElementById("modal-overlay");
            var modal = document.getElementById("modal-dialog");
            var section1 = document.getElementById("text1");
            var section2 = document.getElementById("text2");
            overlay.style.display = "grid";
            modal.style.display = "grid";
            section1.style.filter = "blur(5px)";
            section2.style.filter = "blur(5px)";
        }
        function closeModal(event) {
            var overlay = document.getElementById("modal-overlay");
            var modal = document.getElementById("modal-dialog");
            var section1 = document.getElementById("text1");
            var section2 = document.getElementById("text2");
            overlay.style.display = "";
            modal.style.display = "";
            section1.style.filter = "";
            section2.style.filter = "";
        }
    </script>
</body>
</html>